import { OAuth2Client } from './types';
import { Context } from '@curveball/core';
import { App } from '../principal/types';
export declare function findByClientId(clientId: string): Promise<OAuth2Client>;
export declare function findById(id: number): Promise<OAuth2Client>;
export declare function findByApp(app: App): Promise<OAuth2Client[]>;
export declare function getOAuth2ClientFromBasicAuth(ctx: Context): Promise<OAuth2Client>;
export declare function getOAuth2ClientFromBody(ctx: Context<any>): Promise<OAuth2Client>;
export declare function create(client: Omit<OAuth2Client, 'id' | 'href'>, redirectUris: string[]): Promise<OAuth2Client>;
export declare function edit(client: OAuth2Client, redirectUris: string[]): Promise<void>;
export declare function validateSecret(oauth2Client: OAuth2Client, secret: string): Promise<boolean>;
